export interface AnimationStep {
    styles: {
        [key: string]: string;
    };
    delay?: number;
}
export interface Animation {
    elementId: string;
    trigger: string;
    steps: AnimationStep[];
    duration: number;
    delay?: number;
    easing?: string;
}
export declare class Animator {
    bindAnimations(animations: Animation[]): void;
    private warnElementNotPresent(id);
    private augmentAnimation(animation, element);
    private getAllStylesUsed(animation);
    triggerAnimation(animation: Animation): void;
    bindHoverAnimation(animation: Animation): void;
    bindScrollInViewAnimation(animation: Animation): void;
}
